API referenceWaterfalls
Run a waterfall
Run a waterfall on one input. Sync by default; Prefer: wait=N (or wait) falls back to 202, Prefer: respond-async (or async: true) returns 202 with a run to poll, stream (/events) or receive by webhook. version draft runs the test runner.
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
Match
^wf_[a-z0-9]{8,40}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/waterfalls/string/run" \ -H "Content-Type: application/json" \ -d '{ "input": { "property1": null, "property2": null } }'{ "object": "waterfall_run", "id": "string", "waterfall_id": "string", "version": "string", "mode": "sync", "status": "queued", "outcome": "hit", "stop_reason": "first_hit", "data": { "property1": null, "property2": null }, "_provenance": { "property1": { "provider": "string", "endpoint_id": "string", "call_id": "string", "stage_id": "string", "step_id": "string", "fetched_at": "2019-08-24T14:15:22Z", "confidence": 0, "verified": true, "strategy": "highest_quality", "conflicts": [] }, "property2": { "provider": "string", "endpoint_id": "string", "call_id": "string", "stage_id": "string", "step_id": "string", "fetched_at": "2019-08-24T14:15:22Z", "confidence": 0, "verified": true, "strategy": "highest_quality", "conflicts": [] } }, "_attempts": [ { "stage_id": "string", "step_id": "string", "endpoint_id": "string", "provider": "string", "call_id": "string", "status": "hit", "reason": "circuit_open", "try": 0, "hedged": true, "cost_micro": 0, "quote_micro": 0, "started_ms": 0, "latency_ms": 0, "verified": true, "confidence": 0, "fields": [ "string" ], "error": { "code": "invalid_request", "message": "string", "upstream_status": 0, "retry_after_ms": 0 }, "raw": null } ], "stages": [ { "stage_id": "string", "capability": "string", "outcome": "hit", "stop_reason": "first_hit", "data": { "property1": null, "property2": null }, "cost_micro": 0, "latency_ms": 0 } ], "fields_filled": [ "string" ], "cost_micro": 0, "cost_per_field_micro": 0, "latency_ms": 0, "input": { "property1": null, "property2": null }, "error": { "code": "invalid_request", "message": "string" }, "batch_id": "string", "created_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z", "cache": { "status": "hit", "age_s": 0, "fetched_at": "2019-08-24T14:15:22Z", "saved_micro": 0, "fields_cached": [ "string" ], "fields_fetched": [ "string" ] }}